Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02767 Sound Minor Always Dec 24, 2008, 20:33 Aug 30, 2009, 22:26
Tester WilalvesBR View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver midwunit.cpp
Version 0.128u7 Fixed in Version 0.133u4 Build Normal
Summary 02767: mk3, mk3r20, mk3r10, mk3p40 : Music does not play during the first attract mode.
Description Music is missing during the first attract mode (Midway presents, Raiden words, Theres no Knowledge That is not Power, MK3 logo). (MAME only plays the sound ding during the beggining of Raiden words screen).


The cause of this bug might be that mk3, mk3r20, mk3r10 and mk3p40 are using MK3 ULTIMATE L2.0 U2 SOUND ROM (SOUND SYSTEM VERSION RELEASE 2) from UMK3 romset (umk3-u2.bin).


Mk3, mk3r20, mk3r10, mk3p40 should use MK3 L1.0 U2 SOUND ROM (SOUND SYSTEM VERSION RELEASE 1) wich seems to be undumped.
Steps To Reproduce Let attract mode run.
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems mk3, mk3r20, mk3r10, mk3p40
Attached Files
jpg file icon MK3 L1.0 U2 SOUND ROM.JPG (133,751 bytes) Dec 24, 2008, 20:33
jpg file icon UMK3 L2.0 U2 SOUND ROM.JPG (134,907 bytes) Dec 24, 2008, 20:34
png file icon MK3 USING SOUND SYSTEM VERSION RELEASE 2.png (1,601 bytes) Dec 24, 2008, 20:35
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.03436
aaron
Developer
Dec 30, 2008, 16:22
Since you provided pictures of the ROMs, can you offer them for dumping? :)
User avatar
No.03439
WilalvesBR
Tester
Dec 30, 2008, 20:45
edited on: May 31, 2012, 05:26
i'm currently in Brazil, shipping the EPROM and receive it back will probably cost some money, there's also the risk of mail lost and nowadays a MK3 pcb is really rare to find. I preffer to buy a USB Willem Programmer and make a dump of the L1.0 U2 SOUND ROM (anyone please let me know if there's any specific instructions on how to do it).

I will also need to know the email address of who should i email the file in order to make it available to the MAME team.

BTW, there's another collector in USA who has a MK3 rev. 2.0 pcb with L1.0 U2 SOUND ROM, he is known as YourMameMan on youtube.com and Zenomoph on eBay. He doesn't seem much friendly with international people but i'm sure if you or any other member who lives in USA ask him, he will probably help.


Here's a video of him showing his MK3 rev 2.0 pcb:



I'll let you know when my USB Willem Programmer arrives.
User avatar
No.03441
Haze
Senior Tester
Dec 30, 2008, 23:32
Good to know, thanks.

Remember that there is always interest in alternate revisions of already emulated games, as well as games which may have only been released in Brazil etc.

Contact details for mamedev are on mamedev.org.

Anything you are able to do to help the project is of course greatly appreciated.
No.04086
user435
Mar 27, 2009, 15:15
edited on: Mar 27, 2009, 15:57
MK3 came out first, so should never have included UMK3 ROMs.
Hmmm, those ROMs _should_ be dumped already. There are probably several MK3 dumps in the 'archives', surely one of them has the correct sound ROMs in it. It just needs someone with an old archive (say from 10 years ago) to find a MK3 dump (that was at the time not emulated) and it may contain the ROMs we need. I found an old mk3 archive dated 22/12/1997 and another one from 2000 and those ROMs are incorrect too. So it looks like whoever dumped it had both PCBs (MK3 and UMK3), mixed them up and never included the MK3 sound ROMs :-(
User avatar
No.04881
hap
Developer
Aug 30, 2009, 22:26
fixed with proper sound rom dump